-- MySQL dump 8.23
--
-- Host: localhost    Database: PaperHarbour
---------------------------------------------------------
-- Server version	3.23.58

--
-- Table structure for table `AUDIT_TRAIL`
--

CREATE TABLE AUDIT_TRAIL (
  TIME_STAMP timestamp(14) NOT NULL,
  OPERATION varchar(100) NOT NULL default '',
  DESCRIPTION text NOT NULL
) TYPE=MyISAM;

--
-- Dumping data for table `AUDIT_TRAIL`
--



--
-- Table structure for table `CONFIGURATION`
--

CREATE TABLE CONFIGURATION (
  ATTRIBUTE varchar(30) NOT NULL default '',
  ATTRIBUTE_VALUE text,
  PRIMARY KEY  (ATTRIBUTE)
) TYPE=MyISAM;

--
-- Dumping data for table `CONFIGURATION`
--


INSERT INTO CONFIGURATION VALUES ('ALWAYS_ENCRYPT','ON');
INSERT INTO CONFIGURATION VALUES ('USER_ENCRYPTION_KEY','TMPA774266FHH');

--
-- Table structure for table `DEPARTMENTS`
--

CREATE TABLE DEPARTMENTS (
  DEPARTMENT varchar(100) NOT NULL default '',
  ACTIVE_FLAG int(11) NOT NULL default '1',
  PRIMARY KEY  (DEPARTMENT)
) TYPE=MyISAM;

--
-- Dumping data for table `DEPARTMENTS`
--



--
-- Table structure for table `DOCUMENT_DATA`
--

CREATE TABLE DOCUMENT_DATA (
  DOCUMENT_KEY_ID varchar(10) NOT NULL default '00',
  CREATOR varchar(100) default NULL,
  CREATION_DATE datetime default NULL,
  SECURITY_CODE char(3) default NULL,
  REVIEWER text,
  DOCUMENT_DESCRIPTION text,
  REVIEW_FLAG tinyint(4) default NULL,
  RELEASE_FLAG tinyint(4) default NULL,
  FROZEN_FLAG tinyint(4) default NULL,
  ENCRYPTION_FLAG tinyint(4) default NULL,
  DOCUMENT_NAME varchar(200) default '',
  DOCUMENT_TYPE varchar(100) default '',
  DISTRIBUTION_LIST text,
  INFORMATION_LIST text,
  GROUP_KEY_ID varchar(10) NOT NULL default '0000',
  LIBRARY_CODE varchar(100) NOT NULL default '000',
  PRIMARY KEY  (DOCUMENT_KEY_ID,GROUP_KEY_ID,LIBRARY_CODE)
) TYPE=MyISAM;

--
-- Dumping data for table `DOCUMENT_DATA`
--



--
-- Table structure for table `DOCUMENT_TYPES`
--

CREATE TABLE DOCUMENT_TYPES (
  DOCUMENT_TYPE_NAME varchar(40) NOT NULL default '',
  ACTIVE_FLAG tinyint(4) default NULL,
  PRIMARY KEY  (DOCUMENT_TYPE_NAME)
) TYPE=MyISAM;

--
-- Dumping data for table `DOCUMENT_TYPES`
--



--
-- Table structure for table `FILE_LINK`
--

CREATE TABLE FILE_LINK (
  FILE_REFERENCE varchar(25) NOT NULL default '',
  FILE_PATH varchar(255) default NULL,
  FORMAT_NAME varchar(20) default NULL,
  PRIMARY KEY  (FILE_REFERENCE)
) TYPE=MyISAM;

--
-- Dumping data for table `FILE_LINK`
--



--
-- Table structure for table `FORMAT_TYPES`
--

CREATE TABLE FORMAT_TYPES (
  FORMAT_NAME varchar(20) NOT NULL default '',
  VIEWER text,
  ACTIVE_FLAG tinyint(4) default NULL,
  PRIMARY KEY  (FORMAT_NAME)
) TYPE=MyISAM;

--
-- Dumping data for table `FORMAT_TYPES`
--



--
-- Table structure for table `GROUP_DATA`
--

CREATE TABLE GROUP_DATA (
  GROUP_KEY_ID varchar(100) NOT NULL default '0000',
  GROUP_NAME varchar(50) default NULL,
  GROUP_DESCRIPTION text,
  ACTIVE_FLAG tinyint(4) default NULL,
  GROUP_DEPARTMENT varchar(100) default '',
  LIBRARY_CODE varchar(10) NOT NULL default '000',
  CREATION_DATE datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (GROUP_KEY_ID,LIBRARY_CODE)
) TYPE=MyISAM;

--
-- Dumping data for table `GROUP_DATA`
--



--
-- Table structure for table `LIBRARIES`
--

CREATE TABLE LIBRARIES (
  LIBRARY_CODE varchar(4) NOT NULL default '',
  LIBRARY_NAME varchar(100) default NULL,
  ACTIVE_FLAG tinyint(4) default NULL,
  PRIMARY KEY  (LIBRARY_CODE)
) TYPE=MyISAM;

--
-- Dumping data for table `LIBRARIES`
--



--
-- Table structure for table `REFERENCE_DATA`
--

CREATE TABLE REFERENCE_DATA (
  LIBRARY_CODE varchar(10) NOT NULL default '',
  GROUP_CODE varchar(10) NOT NULL default '',
  REFERENCE_CODE varchar(10) NOT NULL default '',
  REFERENCE_TYPE int(4) NOT NULL default '0',
  REFERENCE_NAME varchar(100) NOT NULL default '',
  REF_LIBRARY varchar(10) NOT NULL default '',
  REF_GROUP varchar(10) NOT NULL default '',
  REF_DOCUMENT varchar(10) NOT NULL default '',
  SECURITY_CODE varchar(100) NOT NULL default '',
  PRIMARY KEY  (LIBRARY_CODE,GROUP_CODE,REFERENCE_CODE)
) TYPE=MyISAM;

--
-- Dumping data for table `REFERENCE_DATA`
--



--
-- Table structure for table `REVISION_DATA`
--

CREATE TABLE REVISION_DATA (
  DOCUMENT_KEY_ID varchar(10) NOT NULL default '',
  REVISION_NUMBER double unsigned NOT NULL default '0',
  AUTHOR varchar(100) default NULL,
  CHECK_IN_DATE datetime default NULL,
  COMMENT varchar(255) default NULL,
  FILE_REFERENCE varchar(25) default NULL,
  APPROVED_FLAG tinyint(4) default NULL,
  GROUP_KEY_ID varchar(10) NOT NULL default '',
  LIBRARY_CODE varchar(10) NOT NULL default '',
  PRIMARY KEY  (DOCUMENT_KEY_ID,REVISION_NUMBER,GROUP_KEY_ID,LIBRARY_CODE)
) TYPE=MyISAM;

--
-- Dumping data for table `REVISION_DATA`
--



--
-- Table structure for table `SECTABLE`
--

CREATE TABLE SECTABLE (
  SECTABLE_A varchar(255) NOT NULL default '',
  SECTABLE_B varchar(255) NOT NULL default '',
  PRIMARY KEY  (SECTABLE_A)
) TYPE=MyISAM;

--
-- Dumping data for table `SECTABLE`
--


INSERT INTO SECTABLE VALUES ('ADMIN','43e9a4ab75570f5b');

--
-- Table structure for table `SECURITY_CLASSES`
--

CREATE TABLE SECURITY_CLASSES (
  SECURITY_CODE char(3) NOT NULL default '',
  SECURITY_NAME varchar(30) default NULL,
  PRIMARY KEY  (SECURITY_CODE)
) TYPE=MyISAM;

--
-- Dumping data for table `SECURITY_CLASSES`
--


INSERT INTO SECURITY_CLASSES VALUES ('PUB','Public');

--
-- Table structure for table `USER_ID`
--

CREATE TABLE USER_ID (
  USER_NAME varchar(20) NOT NULL default '',
  REAL_NAME varchar(100) default NULL,
  EMAIL varchar(150) default NULL,
  SECURITY_CLASS text,
  PRIMARY KEY  (USER_NAME)
) TYPE=MyISAM;

--
-- Dumping data for table `USER_ID`
--


INSERT INTO USER_ID VALUES ('ADMIN','Administrator','root@mail','ALL');

